activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kevin (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (AMQ-5105) leveldb fails to startup because of NoSuchMethodError
Date Fri, 01 Aug 2014 12:37:38 GMT

    [ https://issues.apache.org/jira/browse/AMQ-5105?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14082190#comment-14082190
] 

Kevin edited comment on AMQ-5105 at 8/1/14 12:35 PM:
-----------------------------------------------------

I am now using  activemq-5.9.1,  and having the same trouble  (under  AMQ-5257, duplicated
here):   

1,   I didn't find "pax-url-aether-1.5.2.jar"  under "apache-activemq-5.9.1/lib/", neither
"logQuery" part in my  acitvemq.xml  config file;
2,   for  Dejan's solution,  could you give more details on how to fix it in  5.9.1

The activemq-5.10.0 Release does not show this issue is resolved. 

https://issues.apache.org/jira/browse/AMQ-5061?jql=project%20%3D%20AMQ%20AND%20fixVersion%20%3D%205.10.0%20ORDER%20BY%20status%20DESC%2C%20priority%20DESC

is there any version I can use with this bug fixed?

Thanks




was (Author: kevin2014):
I am now using  activemq-5.9.1,  and having the same trouble:   

1,   I didn't find "pax-url-aether-1.5.2.jar"  under "apache-activemq-5.9.1/lib/", neither
"logQuery" part in my  acitvemq.xml  config file;
2,   for  Dejan's solution,  could you give more details on how to fix it in  5.9.1

The activemq-5.10.0 Release does not show this issue is resolved. 

https://issues.apache.org/jira/browse/AMQ-5061?jql=project%20%3D%20AMQ%20AND%20fixVersion%20%3D%205.10.0%20ORDER%20BY%20status%20DESC%2C%20priority%20DESC

is there any version I can use with this bug fixed?

Thanks



> leveldb fails to startup because of NoSuchMethodError
> -----------------------------------------------------
>
>                 Key: AMQ-5105
>                 URL: https://issues.apache.org/jira/browse/AMQ-5105
>             Project: ActiveMQ
>          Issue Type: Bug
>          Components: activemq-leveldb-store
>    Affects Versions: 5.10.0
>         Environment: Any
>            Reporter: Netlancer
>            Assignee: Dejan Bosanac
>            Priority: Minor
>             Fix For: 5.11.0
>
>
> leveldb persistence fails to start due to errors as given below 
>  Caused by: java.lang.NoSuchMethodError: com.google.common.base.Objects.firstNonNull(Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;
>         at com.google.common.cache.CacheBuilder.getKeyStrength(CacheBuilder.java:530)
>         at com.google.common.cache.LocalCache.<init>(LocalCache.java:238)
>         at com.google.common.cache.LocalCache$LocalLoadingCache.<init>(LocalCache.java:4861)
>         at com.google.common.cache.CacheBuilder.build(CacheBuilder.java:803)
>         at org.iq80.leveldb.impl.TableCache.<init>(TableCache.java:46)
>         at org.iq80.leveldb.impl.DbImpl.<init>(DbImpl.java:155)
>         at org.iq80.leveldb.impl.Iq80DBFactory.open(Iq80DBFactory.java:59)
>         at org.apache.activemq.leveldb.LevelDBClient$$anonfun$replay_init$2.apply$mcV$sp(LevelDBClient.scala:661)
>         at org.apache.activemq.leveldb.LevelDBClient$$anonfun$replay_init$2.apply(LevelDBClient.scala:657)
>         at org.apache.activemq.leveldb.LevelDBClient$$anonfun$replay_init$2.apply(LevelDBClient.scala:657)
>         at org.apache.activemq.leveldb.LevelDBClient.might_fail(LevelDBClient.scala:549)
> The problem seems to be because of multiple jars having the same classes
> guava-12.jar
> pax-url-aether-1.5.2.jar
> The class present in pax-url-aether-1.5.2.jar gets loaded causing level db to fail.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message